#ifndef LEMuSRTrackingAction_h
#define LEMuSRTrackingAction_h 1
#include "G4DynamicParticle.hh"
#include "G4UserTrackingAction.hh"
#include "G4Track.hh"
#include "globals.hh"

// root histogram classes
#include <stdlib.h>

#include "TROOT.h"
#include "TFile.h"
#include "TH1.h"
#include "TRandom.h"
#include "TTree.h"
#include "TBranch.h"
#include "TClonesArray.h"
#include "TStopwatch.h"
#include "LEMuSRCryoHit.hh"



class LEMuSRTrackingAction : public G4UserTrackingAction {

 public:
  LEMuSRTrackingAction();
 ~ LEMuSRTrackingAction();
  void PreUserTrackingAction(const G4Track*);
  void PostUserTrackingAction(const G4Track*);

  void Collect_datas(const G4Track*);


 //  TROOT eventTree;
  Int_t nevent , comp , split , write , hfill , read ,arg4, arg5  ;
  TFile *myFile;
  TTree *myTree;
  TBranch *b;
  TH1D *hEnergy, *hTime, *hAngle, *hAngle2;

private:
 


};
#endif


