#include "G4UniformMagField.hh"
#include"G4ThreeVector.hh"
#include"G4ios.hh"

class LEMuSRMagneticField : public G4UniformMagField
{
public: 


  LEMuSRMagneticField(const G4ThreeVector FieldVector);
  ~LEMuSRMagneticField();
 
  void GetFieldValue(const G4double pos[4], G4double *field) const;
  
  G4bool uniform;


  G4double R;

  
private:
  G4double flength, fpotential, fradius, fzmin, fzmax;


  G4ThreeVector position;
  G4ThreeVector BField;

};
